Foxit PDF Conversion SDK

Static Public Member Functions | List of all members
FoxitPDFConversionSDKPython2.Library Class Reference

Inherits FoxitPDFConversionSDKPython2._object.

## Static Public Member Functions
def | EnableThreadSafety (is_enable_thread_safety)
| Enable thread safety. More...
def | GetVersion ()
| Get the version of current Foxit PDF Conversion SDK library. More...
def | Initialize (sn, key)
| Initialize Foxit PDF Conversion SDK Library, with valid license information. More...
def | Reinitialize ()
| Re-initialize Foxit PDF Conversion SDK Library. More...
def | Release ()
| Release all resource allocated by Foxit PDF Conversion SDK Library. More...
def | SetConvertCheckCallback (convert_check_callback)
| Set the callback object to check the PDF to Office conversion conditions. More...

## Detailed Description

This class represents the library management. It contains functions to initialize/re-initialize/release Foxit PDF Conversion SDK library, and also contains functions for global use.
Any application should load Foxit PDF Conversion SDK by function FoxitPDFConversionSDKPython2.Library.Initialize before calling any other Foxit PDF Conversion SDK functions. When there is no need to use Foxit PDF Conversion SDK any more, please call function FoxitPDFConversionSDKPython2.Library.Release .
Functions in Foxit PDF Conversion SDK may throw exception when some error occurs. User can catch these exceptions and check the error code with values starting from FoxitPDFConversionSDKPython2.e_ErrFile to know more about what error occurs.

Note
  During the life-cycle of an application, FoxitPDFConversionSDKPython2.Library.Initialize and FoxitPDFConversionSDKPython2.Library.Release should be called in pair and can only be called once. Once FoxitPDFConversionSDKPython2.Library.Release is called during the life-cycle of an application, Foxit PDF Conversion SDK cannot be initialized any more in the life-cycle of the application. Before FoxitPDFConversionSDKPython2.Library.Release is called, if user wants to re-initialize Foxit PDF Conversion SDK, please refer to function FoxitPDFConversionSDKPython2.Library.Reinitialize .

## Member Function Documentation

## ◆ EnableThreadSafety()

FoxitPDFConversionSDKPython2.Library.EnableThreadSafety | ( |  | is_enable_thread_safety | ) |
| static

Enable thread safety.

Parameters

  [in] | is_enable_thread_safety | Enable thread safety.true means to enable thread safety, while false means to disable thread safety.

Returns
  None.

## ◆ GetVersion()

FoxitPDFConversionSDKPython2.Library.GetVersion | ( |  | ) |
| static

Get the version of current Foxit PDF Conversion SDK library.

Returns
  Version string.

## ◆ Initialize()

FoxitPDFConversionSDKPython2.Library.Initialize | ( |  | sn,
|  |  | key
| ) |  |
| static

Initialize Foxit PDF Conversion SDK Library, with valid license information.

During the life-cycle of an application, this function can only be called once and should be called first before any other functions in Foxit PDF Conversion SDK can be called.
Once function FoxitPDFConversionSDKPython2.Library.Release is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Parameters

  [in] | sn | String of sn information, which can be retrieved from "SN=" part in key file "gsdk_sn.txt" or "rdk_sn.txt".
  [in] | key | String of key information, which can be retrieved from "Sign=" part in key file "gsdk_key.txt" or "rdk_key.txt".

Returns
  FoxitPDFConversionSDKPython2.e_ErrSuccess means success.
  FoxitPDFConversionSDKPython2.e_ErrInvalidLicense means input license information is invalid.
  FoxitPDFConversionSDKPython2.e_ErrParam means parameter sn or key is an empty string.
  For more information about error code values, please refer to values starting from FoxitPDFConversionSDKPython2.e_ErrSuccess .

## ◆ Reinitialize()

FoxitPDFConversionSDKPython2.Library.Reinitialize | ( |  | ) |
| static

Re-initialize Foxit PDF Conversion SDK Library.

When user meets out-of-memory error or user wants to re-initialize Foxit PDF Conversion SDK library before function FoxitPDFConversionSDKPython2.Library.Release is called, user can call this function to re- initialize Foxit PDF Conversion SDK Library.
Once function FoxitPDFConversionSDKPython2.Library.Release is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Returns
  FoxitPDFConversionSDKPython2.e_ErrSuccess means success. For more information about error code values, please refer to values starting from FoxitPDFConversionSDKPython2.e_ErrSuccess .

## ◆ Release()

FoxitPDFConversionSDKPython2.Library.Release | ( |  | ) |
| static

Release all resource allocated by Foxit PDF Conversion SDK Library.

User should call this function to release all memory blocks allocated by the library.
Once this fucntion is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Returns
  None.

## ◆ SetConvertCheckCallback()

FoxitPDFConversionSDKPython2.Library.SetConvertCheckCallback | ( |  | convert_check_callback | ) |
| static

Set the callback object to check the PDF to Office conversion conditions.

This method allows you to specify a custom convert check callback that will be called to evaluate whether the conversion from PDF to Office should proceed, based on user-defined logic , when the required permissions for converting the PDF documents are not met.

Parameters

  [in] | convert_check_callback | A customized convert check callback which is implemented based on callback class FoxitPDFConversionSDKPython2.ConvertCheckCallback . If this is null, customized convert check callback will be removed and default convert check will be used instead.

Returns
  true means success, while false means failure.